Summary: ncd is the NCM client front end for invoking components
Name: ncm-ncd
Version: 1.2.23
Vendor: EDG / CERN
Release: 3.el7.cern
License: http://www.eu-datagrid.org/license.html
Group: quattor/System
Source: ncm-ncd-1.2.23.src.tgz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-build
Packager: German Cancio <German.Cancio@cern.ch>
URL: http://quattor.org

Patch100: ncm-ncd-1.2.23.man.patch

Requires: perl-CAF >= 1.4.1
Requires: perl-LC
Requires: ccm >= 1.1.6
Requires: ncm-template >= 1.0.8

%description
ncd is the NCM client front end for invoking components


%prep
%setup
%patch100 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

/bin/touch $RPM_BUILD_ROOT/var/lock/quattor/.tmp

# leave log file//
#%postun
#[ $1 = 0 ] && rm -f @NCM_ROTATED@/ncm-ncd
#exit 0

%files
%defattr(-,root,root)
/usr/sbin/ncm-ncd
/usr/lib/perl/NCD/
/usr/lib/perl/NCM/
/etc/logrotate.d/ncm-ncd
/var/lock/quattor/.*
/var/ncm/tmp/
/var/log/ncm/
%doc /usr/share/doc/ncm-ncd-1.2.23/
%doc /usr/share/man/man1/ncm-ncd.1.gz
%doc /usr/share/man/man8/NCM::Component.8.gz
%doc /usr/share/man/man8/NCM::Check.8.gz
%doc /usr/share/man/man8/NCM::HLConfig.8.gz
%config /etc/ncm-ncd.conf
%attr(755,root,root) /usr/sbin/ncm_wrapper.sh
%attr(755,root,root) /usr/sbin/ncm_unconfigure_wrapper.sh


%package -n CERN-CC-ncm-ncd-notd
Group: quattor/System
Summary: NCM-NCD: CERN-CC specific entries for not.d
Requires: ncm-ncd >= 1.2.23
%description -n CERN-CC-ncm-ncd-notd
NCM-NCD: CERN-CC specific entries for not.d 

%files -n CERN-CC-ncm-ncd-notd
%defattr(-,root,root)
%config /etc/not.d/ncm
%config /etc/not.d/ncm_unconf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- rebuild for el7

* Mon Jul 28 2008 "Luis Fernando"

- Fixed bug #39246, --multilog works again with perl-CAF 1.4.15 and higher.

* Mon Jul 07 2008 "Luis Fernando"

- Sanitized the component's name on NCD::ComponentProxy so that it runs without warnings with -t.

* Mon Jun 16 2008 Marco Emilio Poleggi,<Marco.Poleggi@cnaf.infn.it>

- NCM::Check extended with 'noaction' option for overriding the global flag

* Fri Dec 21 2007 German Cancio Melia

- Fix for bug #20040: add 'NOACTION_SUPPORTED' to NCM component

* Fri Dec 21 2007 German Cancio Melia

- Added --skip option (Savannah #20619)

* Thu Dec 06 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- Previous change rolled back, since the issue with CAF::Reporter 
is better solved by the last patch in CAF::Object (rel. 1.4.15)

* Wed Dec 05 2007 Marco Emilio Poleggi,<Marco.Poleggi@cern.ch>

- ComponentProxy: fix for new Reporter class which needs to be properly 
initialized.

* Wed Feb 28 2007 German Cancio Melia

- REALLY Log ccm-fetch information into log file when running ncm_wrapper

* Wed Feb 28 2007 German Cancio Melia

- Log ccm-fetch information into log file when running ncm_wrapper

* Tue Nov 28 2006 German Cancio Melia

- Fix for bug #21956: "ncm-ncd --list" should not try to acquire a lock

* Fri Nov 17 2006 German Cancio Melia

- Make 'backup' option truly optional in NCM::Check::lines (thanks to L. Cons)

* Mon Nov 06 2006 German Cancio Melia

- Do not ignore CHLD signal during component execution

* Fri Sep 22 2006 German Cancio Melia

- Ensure signals to be ignored are ignored, including SIGHUP

* Wed Aug 02 2006 German Cancio Melia

- Just to be *completely* paranoiac: disallow *any* combination of simultaneous invocations, whatever the flags are, by locking also when NCM is invoked in --noaction mode!

* Wed Aug 02 2006 German Cancio Melia

- Do not allow NCM to run in --noaction mode if already running in 'real' mode
- Fix Savannah bug# 18678 (wrong cyclic dependencies detected when there are none)

* Tue Aug 01 2006 German Cancio Melia

- Added dependency on ncm-template; fix Savannah bug #18631 (restore template delimiters if changed by a component)

* Fri May 26 2006 German Cancio Melia

- (add tag to release)

* Thu May 25 2006 Stephen Childs

- Fix Savannah #16822 (print names of faulty components at end of run)
* Sat Oct 08 2005 Charles Loomis

- fix bad substitutions

* Sat Oct 08 2005 Charles Loomis

- remove spurious debugging statements

* Sat Oct 08 2005 Charles Loomis

- allow components to be defined in XML profile

* Fri May 20 2005 Juan Antonio LOPEZ PEREZ

- Substitution of edg-ccm-fetch by ccm-fetch. The script changed the name in the latest versions

* Wed May 11 2005 German Cancio Melia

- (CERN-CC only) splitted up notd entries for ncm into ncm and ncm_unconf

* Sat May 07 2005 German Cancio Melia

- Fix Savannah #3180 (added lockfile for application and corresponding options)

* Mon Apr 18 2005 German Cancio Melia

- Fix Savannah bugs #7981

* Mon Apr 04 2005 German Cancio Melia

- Updated HLConfig.pm (Jan van Eldik)

* Thu Mar 31 2005 German Cancio Melia

- Added escape() function to NCM::Component

* Fri Jan 21 2005 German CANCIO MELIA

- Fix Savannah #6281 - more verbose logging of broken dependencies

* Thu Nov 18 2004 German CANCIO MELIA

- Added new variables for OS detection within the components: $SYSNAME and $SYSVERS

* Thu Oct 28 2004 Rafael Garcia Leiva

- updated dependencies

* Tue Sep 07 2004 German Cancio Melia

- Added waittofin = yes to CERN CC notd wrapper

* Sat Sep 04 2004 German CANCIO MELIA

- fix unconfigure not.d wrapper

* Sat Sep 04 2004 German CANCIO MELIA

- bugfix in CERN-CC wrapper for backwards compatibility

* Tue Aug 24 2004 German CANCIO MELIA

- Fixes Savannah #4498 - preserve environment between components

* Thu Jun 10 2004 German CANCIO MELIA

* Thu Jun 03 2004 German CANCIO MELIA
- Fixed Savannah #3555, allowing to install components during execution time
  (eg. running SPMA from within ncm-spma installs components configured but
   not yet present)
- Fixed Savannah #3665 - now components are tabulated correctly in --list

* Thu Jun 03 2004 German CANCIO MELIA

- Added missing doc file to spec

* Wed Jun 02 2004 German CANCIO MELIA

- Added NCM::HLConfig to distribution

* Wed May 12 2004 German CANCIO MELIA

- correct version release number

* Wed May 12 2004 German CANCIO MELIA

- Optional 'backup' in NCM::Check

* Tue May 11 2004 German Cancio Melia

- typo in CERN-CC wrapper

* Tue May 11 2004 German CANCIO MELIA

- Added new unconfigure wrappetr

* Thu Apr 08 2004 German CANCIO MELIA

- Replaced hardcoded Perl interpreter with @PERL_EXECUTABLE@ for improved portability

* Tue Mar 30 2004 German Cancio Melia

- Addded NCM wrapper to core rpm as generic

* Tue Mar 30 2004 German Cancio Melia

- Added unescape() to Component.pm

* Mon Mar 15 2004 German Cancio Melia

- Add fetch to NCM wrapper for notd

* Tue Mar 09 2004 German Cancio Melia

- Bugfixes, working version for --list and --all

* Tue Mar 09 2004 German CANCIO MELIA

- Added new 0--list option; added new --all option )9(now needed for running on all prcomponents)

* Wed Feb 18 2004 German CANCIO MELIA

- moved ncd.conf to main RPM package

* Mon Feb 16 2004 German CANCIO MELIA

- more verbose error message in case of incorrect component information

* Sat Jan 10 2004 German CANCIO MELIA

- Added option (enabled by default) for allowing 'broken' components (bugzilla #2371)

* Wed Oct 22 2003 German CANCIO MELIA

- removed 'old' log directory, changed logrotate specification

* Mon Oct 13 2003 German CANCIO MELIA

- Fixed logrotate entries, added new 'old' dir for old logs

* Tue Sep 23 2003 German CANCIO MELIA

- Small bugfix in dependency loop checking

* Thu Sep 18 2003 German CANCIO MELIA

- fix reopened #1869, hardcoded /etc

* Wed Sep 10 2003 German CANCIO MELIA

- Added Requires: to CERN-CC to enforce right version used

* Tue Sep 09 2003 German CANCIO MELIA

- removed @NCM_PERL@ in @INC path, bugzilla #1876

* Tue Sep 09 2003 German CANCIO MELIA

- Consistent path handling with QTTR_ETC for Solaris (bugzilla #1869)

* Mon Sep 01 2003 German CANCIO MELIA

- Allows, even if not supported/recommended, to intercept throw_error and throw_warning generated DIRECTLY by an NCM component.

* Mon Sep 01 2003 German CANCIO MELIA

- Integrated warning handling (throw_warning) into component proxy - now reported correctly as a warning instead of as an error.

* Mon Sep 01 2003 German CANCIO MELIA

- bugfix - add throw_warning to NCM::Check

* Mon Sep 01 2003 German CANCIO MELIA

- Enhanced warning handling when throw_warning is used

* Fri Aug 29 2003 German CANCIO MELIA

- Added new library NCM::Check, for implementing eg. Check::lines

* Fri Aug 29 2003 German CANCIO MELIA

- fixed (noreplace) attribute in %config

* Wed Aug 27 2003 German CANCIO MELIA

- CERN-CC: created entries for notd notification mechanism

* Mon Aug 25 2003 CVS: new release (gcancio)

- corrected id check 

* Fri Aug 22 2003 CVS: new release (gcancio)

- use gzip -f            

* Fri Aug 22 2003 CVS: new release (gcancio)

- Cleanup and polish port to new Quattor build tools

* Wed Aug 20 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- corrected hardcoded /etc/ entry in specfile, thanks
  to Carlos Ungil

* Mon Aug 18 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- check for appropriate credentials to run

- added automatic pre/post component inclusion

- added corresponding "autodeps" option

* Mon Aug 04 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- correct reporting of non-trapped component exceptions

- improved checks (eg. exception context set by component)

- small bugfix in ncd.conf

* Wed Jul 30 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- added $NoAction variable support for components

- Exception mechanism added... and how to trap
  non-trapped component exceptions ;-)

* Wed Jul 30 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- ignore broken dependencies also when pre/post requisite
  components not found
- put failure messages in component's log file

* Tue Jul 29 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- created ComponentProxyList class
- added 'nodeps' flag

* Thu Jul 24 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- dependency mechanism

* Fri Jul 18 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- most classes implemented, first working implementation

* Wed Jun 11 2003 German CANCIO MELIA <gcancio@asis-w6.cern.ch>

- first version in CVS

--- end of ChangeLog ---
